[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.InvalidateRgn

Marks a display area for repaint.

## Declaration

Source position: winapih.inc line 175

`public function TWidgetSet.InvalidateRgn(`
`Handle: HWND;`
`Rgn: HRGN;`
`Erase: Boolean`
`):Boolean; virtual;`

## Arguments

`Handle` |  | The window handle.
`Rgn` |  | The region to repaint.
`Erase` |  | True forces a repaint of the background, before further painting.

## Function result

False on failure.

## See also

TWidgetSet.InvalidateRect |  | Marks a display area for repaint.